

 *{margin: 0;
  }

.header{
  background-color: #99ccff;
  height: 13vh;
  width: 100%;
  
}
.header_menu{
  
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}
 
.menu_title a{
  padding-left: 6vh;
  text-decoration: none;
  display: flex;
  flex-direction: row;
  font-family:  Roboto, sans-serif;
 color: ivory;
 font-size: 6vh;
 font-weight: 300;
}

 .menu_title a > p{

  font-weight: 200;
  color: #484848;
}
.menu_nav nav{
  height: 100%;
}


.menu_nav nav ul li{
  height: 100%;
  
}
.menu_nav nav  ul{
  
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  list-style: none;
  padding-right: 8vh;
  height: 100%;

}
 
.menu_nav nav  ul li > a{
  text-decoration: none;
  color: ivory;
  font-size: 3vh;
  font-family:  Roboto, sans-serif;
  height: 100%;
  width: 15vh;
  display: flex;
  align-items: center;
  justify-content: center;

  

}

.blog{
  background: url('../img/section1.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  height: 75vh;

}

.blog_title{
  position: static;
  padding-top: 35vh;
  color: ivory;
  font-size: 6vh;
  font-weight: 300;
  font-family:  Roboto, sans-serif;
  padding-left: 4vh;
}

.blog_text{
  position: static;
  padding-top: 2vh;
  color: ivory;
  font-size: 2.5vh;
  font-family:  Roboto, sans-serif;
  padding-left: 4vh;
}

.main{
  margin-left: 5vh;
  color: #484848;
  font-weight: 300;

}
.title{
  font-family:  Roboto, sans-serif;
  color:#484848;
  font-weight: 300;
  font-size: 4.5vh;
}

.text{
  font-family:  Roboto, sans-serif;
  color: #484848;
  font-weight: 300;
  font-size: 2.5vh;
}
.post-data{
  font-family:  Roboto, sans-serif;
  color: #484848;
  font-weight: 300;
  font-size: 4vh;
  text-align: center;
  width: 5vh;
  padding-right: 1vh;
}
.main .text{
  padding-top: 1vh;
  width: 37vh;
}
.post:nth-child(1){
  background-color:#F3D250 ;
} 
.post:nth-child(2) {
  background-color: #8D8741;
}
.post:nth-child(3) {
  background-color: #659DBD;
}
.post:nth-child(4) {
  background-color: #DAAD86 ;
}
.post_filling:nth-child(1):hover{
  opacity: 0.5;
  
} 
.post_filling:nth-child(2):hover {
  opacity: 0.5;
}
.post_filling:nth-child(3):hover {
  opacity: 0.5;
}
.post_filling:nth-child(4):hover {
  opacity: 0.5;
}
.news{
  margin-right: 5vh;
}

.news_one, .news_two{
  border: 1px solid rgb(68, 87, 109);
  margin-bottom: 5vh;
}

.news_text .title{
  margin: 5vh;
}

.news_text .text{
  margin: 5vh;
}

.news_text a{
  margin: 5vh;
  font-family:  Roboto, sans-serif;
  color: #484848;
  font-weight: 300;
  font-size: 3.5vh;
  text-decoration: none;
  border: 1px solid #484848;
  padding: 1vh 1vh;

}
.news_text a:hover{
  border: none;
  border-bottom: 1px solid rgb(68, 87, 109);
  margin-bottom: 5vh; 
}
.news_text{
  margin-bottom: 5vh;
}

.footer{
  
  background-color: #162b4d ;
  color: ivory;
  font-family:  Roboto, sans-serif;
  font-weight: 300;
}

.footer_main{
  font-size: 2vh;
  margin: 6vh;
  line-height: 1.7em;
}
.menu_nav{
  height: 100%;
  padding: 0;
}


 @media (min-width: 1280px ){
   
  .burger{
    display: none;
  }
 
  .container >.header {
   grid-area: header;
 }
 .container >.blog {
   grid-area: blog;
 }
 .container >.main {
   grid-area: main;
 }
 .container >.news {
   grid-area: sidebar;
 }
 .container >.footer {
   grid-area: footer;
 }
 
  .container {
     display: grid;
     grid-template-columns: 31vw 31vw 2vw 35vw ;
     grid-template-rows: auto;
     grid-template-areas: 
    "header header header header"
    "blog blog blog blog"
     "main main . sidebar"
     "main main . sidebar"
     "footer footer footer footer";
     row-gap: 25px;
     
     
  } 
  .news_img img{
   width: 100%;
  }
  .post_img img{
    width: 100%;
    height: 100%;
  }

  .menu_nav nav  ul li > a:hover{
    background-color: #162b4d;
  }
 
  .post_img{
    grid-area: img;
    width: 100%;
    height: 100%;

  }
  .post_filling{
   grid-area: filling;
  }
  .post:nth-child(2n+1){
    display: grid;
    grid-template-columns: 50% 50% ;
    grid-template-rows: auto;
    grid-template-areas: 
   " img filling" ;
   
   
  }
  .post{
    display: grid;
    grid-template-columns: 50% 50% ;
    grid-template-rows: auto;
   grid-template-areas: 
   " filling  img" 
   
  }
  .post:nth-child(2n) .post_filling{
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    padding: 2vh;
    text-align: right;
  }
  .post_filling{
    display: flex;
     flex-direction: row;
    justify-content: space-between;
    padding: 2vh;
  }

  .footer_main{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
} 

@media (min-width:768px ) and (max-width:1280px ){

  .header{
    background-color: #99ccff;
    height: 30vh;
    width: 100%;
    
  }

  .burger div{
    width: 15px;
    height: 2px;
    background-color: rgb(255, 255, 255);
    margin: 3px 0;
  }
  .burger{
    padding: 5vh;
  }
  .menu_nav{
    display: none;
  }

  .header_menu{
    display: flex;
    flex-direction: column;
    justify-content: center;
  
  }
  .blog{
    background: url('../img/section1.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 75vh;
  
  
  }

  .container >.header {
    grid-area: header;
  }
  .container >.blog {
    grid-area: blog;
  }
  .container >.main {
    grid-area: main;
  }
  .container >.news {
   grid-area: sidebar;
  }
  .container >.footer {
    grid-area: footer;
  }

 .container {
  display: grid;
  grid-template-columns: 63vw  2vw 34vw ;
  grid-template-rows: auto;
  grid-template-areas: 
   "header  header header"
   "blog  blog blog"
    "main  . sidebar"
    "main  . sidebar"
    "footer  footer footer";
    row-gap: 25px;
} 
  .news_img img{
    width: 100%;
 }

  .post_img img{
    width: 100%;
    height: 100%;
   
  }

  .post_img{
    grid-area: img;
    width: 100%;
    height: 100%;
  }

  .post_filling{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6vh 4vh;
  
  }
  .post-text{
    padding-left: 5vh;
  
  
  }
  .post-text .text{
    width: 90%;
    line-height: 1.6em;
    padding: 2vh 0;
    font-size: 3vh;
  
  }
  .news_text .text{
    width: 80%;
    line-height: 1.6em;
    padding: 2vh 0 ;
    font-size: 3vh;
  
  }
  .footer_main{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .about_site{
    text-align: center;

  }
  .about_author{
    margin-top: 1vh;
    text-align: center;

  }
}

@media (min-width: 320px ) and (max-width:768px ){

  .header{
    background-color: #99ccff;
    height: 30vh;
    width: 100%;
    
  }

  .burger div{
    width: 10px;
    height: 1px;
    background-color: rgb(255, 255, 255);
    margin: 3px 0;
  }
  .burger{
    padding: 5vh;
  }
  
  .menu_nav{
   display: none;
  }

  .header_menu{
    display: flex;
    flex-direction: column;
    justify-content: center;
  
  }

  .blog{
    background: url('../img/section1.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 75vh;
  
  }

  .container >.header {
    grid-area: header;
  }
  .container >.blog {
    grid-area: blog;
  }
  .container >.main {
    grid-area: main;
  }
  .container >.news {
    grid-area: sidebar;
  }
  .container >.footer {
    grid-area: footer;
  }

 .container {
  display: grid;
  grid-template-columns: 98vw  ;
  grid-template-rows: auto;
  grid-template-areas: 
   "header  "
   "blog  "
    "main  "
    "sidebar  "
    "footer  ";
    row-gap: 25px;
    
  } 
  .news_img img{
    width: 100%;
  }

 .post_img img{
  width: 100%;
  height: 100%;
   
  }

  .post_img{
   grid-area: img;
    width: 100%;
   height: 100%;
  }

  .post_filling{
    display: flex;
    flex-direction: column;
   justify-content: center;
   align-items: center;
   padding: 6vh 4vh;
  
  }
  .post-text{
   padding-left: 5vh;
  }
  
  .post-text .text{
    width: 90%;
    line-height: 1.6em;
    padding: 2vh 0;
    font-size: 3vh;
  
  }

  .news_text .text{
    width: 80%;
    line-height: 1.6em;
    padding: 2vh 0 ;
    font-size: 3vh;
  
  }
  .footer_main{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .about_site{
    text-align: center;

  }
  .about_author{
    margin-top: 1vh;
    text-align: center;

  }
  .main{
    margin: 0 10px;
  }
  .news{ 
    margin: 0 10px;
  }
}

